<!DOCTYPE html>
<html>
	<head>
		<meta charset="utf-8">
		<meta name="viewport" content="width=device-width, initial-scale=1">
		<title>Activity 2 HTML</title>

	</head>
	<body>

	<p><em>Science and Engineering Ethics (2001) 7, 231-238</em></p>

	<hr>

	<h1><strong>Software Engineering Code of Ethics and <br> Professional Practice</strong></h1>

	<body><strong>IEEE-CS/ACM Joint Task Force on Software Engineer Ethics and Professional <br> Practices</strong></body>

	<hr>

	<p><strong>Keywords:</strong> code of ethics, professional responsibility, software engineering</p>

	<h3><strong>PREAMBLE</strong></h3>

	<p>The short version of the code summarizes aspirations at a high level of abstractions. The clauses that <br> are included in the full version give examples and details of how these aspirartions change the way we <br> act as software engineering professionals. Without the aspirations, the details can become legalistics <br> and tedious; without the details, the aspirations can become high-sounding but empty; together, the <br> aspirations and the details form a cohesive code.</p>

	<p>Software engineers shall commit themselves to making the analysis, specifications, design, <br> developmen, testing and maintenance of software a beneficial and respected profession. In <br> accordance with their commitment to the health, safety, and welfare of the public, software engineers <br> shall adhere to the following eight Principles:</p>

	<h3><strong>PRINCIPLES</strong></h3>

	<ol>
		
		<li><em>Public</em>. Software engineers shall act consistently with the public interest.</li>
		<li><em>Client and employer</em>. Software engineers shall act in a manner that is the best interest of their <br> client and employer, consistent with the public interest.</li>
		<li><em>Product</em>. Software engineers shall ensure that their products and related modifications meet the <br> highest professional standards possible.</li>
		<li><em>Judgement</em>. Software engineering shall maintain integrity and independence in their professional <br> judgment</li>
		<li><em>Management</em>. Software engineering managers and leaders shall </li>
		<li><em>Profession</em>. Software engineers shall advance the integrity and reputation of the profession <br> consistent with the public interest.</li>
		<li><em>Colleagues</em>. Software engineers shall be fair to andsupportive of their colleagues.</li>
		<li><em>Self</em>. Software engineers shall participate in lifelong learning regarding the practice of their <br> profession and shall promote an ethical approach to the practice of the profession.</li>

	</ol>

	</body>
</html>